# Module cargo::util::auth::asymmetric

source ·
Expand description

Registry asymmetric authentication support. See RFC 3231 for more.

## Structs

- Footer 🔒
  The footer of an asymmetric token as describe in RFC 3231.
- Message 🔒
  The main body of an asymmetric token as describe in RFC 3231.

## Functions

- paserk_public_from_paserk_secret
  Checks that a secret key is valid, and returns the associated public key in Paserk format.
- public_token_from_credential
  Generates a public token from a registry’s `credential` configuration for authenticating to a `source_id`